Commit cc87344c authored by Owen Taylor's avatar Owen Taylor Committed by Owen Taylor
Browse files

Really release 1.3.1

Fri Jul 14 20:30:25 2000  Owen Taylor  <otaylor@redhat.com>

        * Really release 1.3.1

	* gtk-config-2.0.in gtk-2.0.m4: Fix up to correspond to new
	include structure.
parent 72fe20c1
Fri Jul 14 20:30:25 2000 Owen Taylor <otaylor@redhat.com>
* Really release 1.3.1
* gtk-config-2.0.in gtk-2.0.m4: Fix up to correspond to new
include structure.
Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com> Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com>
* Released 1.3.1 * Released 1.3.1
......
Fri Jul 14 20:30:25 2000 Owen Taylor <otaylor@redhat.com>
* Really release 1.3.1
* gtk-config-2.0.in gtk-2.0.m4: Fix up to correspond to new
include structure.
Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com> Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com>
* Released 1.3.1 * Released 1.3.1
......
Fri Jul 14 20:30:25 2000 Owen Taylor <otaylor@redhat.com>
* Really release 1.3.1
* gtk-config-2.0.in gtk-2.0.m4: Fix up to correspond to new
include structure.
Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com> Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com>
* Released 1.3.1 * Released 1.3.1
......
Fri Jul 14 20:30:25 2000 Owen Taylor <otaylor@redhat.com>
* Really release 1.3.1
* gtk-config-2.0.in gtk-2.0.m4: Fix up to correspond to new
include structure.
Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com> Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com>
* Released 1.3.1 * Released 1.3.1
......
Fri Jul 14 20:30:25 2000 Owen Taylor <otaylor@redhat.com>
* Really release 1.3.1
* gtk-config-2.0.in gtk-2.0.m4: Fix up to correspond to new
include structure.
Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com> Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com>
* Released 1.3.1 * Released 1.3.1
......
Fri Jul 14 20:30:25 2000 Owen Taylor <otaylor@redhat.com>
* Really release 1.3.1
* gtk-config-2.0.in gtk-2.0.m4: Fix up to correspond to new
include structure.
Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com> Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com>
* Released 1.3.1 * Released 1.3.1
......
Fri Jul 14 20:30:25 2000 Owen Taylor <otaylor@redhat.com>
* Really release 1.3.1
* gtk-config-2.0.in gtk-2.0.m4: Fix up to correspond to new
include structure.
Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com> Fri Jul 14 18:40:39 2000 Owen Taylor <otaylor@redhat.com>
* Released 1.3.1 * Released 1.3.1
......
# Configure paths for GTK+ # Configure paths for GTK+
# Owen Taylor 97-11-3 # Owen Taylor 97-11-3
dnl AM_PATH_GTK2([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND [, MODULES]]]]) dnl AM_PATH_GTK_2_0([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND [, MODULES]]]])
dnl Test for GTK, and define GTK_CFLAGS and GTK_LIBS dnl Test for GTK, and define GTK_CFLAGS and GTK_LIBS
dnl dnl
AC_DEFUN(AM_PATH_GTK2, AC_DEFUN(AM_PATH_GTK_2_0,
[dnl [dnl
dnl Get the cflags and libraries from the gtk2-config script dnl Get the cflags and libraries from the gtk-config-2.0 script
dnl dnl
AC_ARG_WITH(gtk-prefix,[ --with-gtk-prefix=PFX Prefix where GTK is installed (optional)], AC_ARG_WITH(gtk-prefix,[ --with-gtk-prefix=PFX Prefix where GTK is installed (optional)],
gtk_config_prefix="$withval", gtk_config_prefix="") gtk_config_prefix="$withval", gtk_config_prefix="")
...@@ -26,31 +26,31 @@ AC_ARG_ENABLE(gtktest, [ --disable-gtktest Do not try to compile and run ...@@ -26,31 +26,31 @@ AC_ARG_ENABLE(gtktest, [ --disable-gtktest Do not try to compile and run
if test x$gtk_config_exec_prefix != x ; then if test x$gtk_config_exec_prefix != x ; then
gtk_config_args="$gtk_config_args --exec-prefix=$gtk_config_exec_prefix" gtk_config_args="$gtk_config_args --exec-prefix=$gtk_config_exec_prefix"
if test x${GTK2_CONFIG+set} != xset ; then if test x${GTK_CONFIG_2_0+set} != xset ; then
GTK2_CONFIG=$gtk_config_exec_prefix/bin/gtk2-config GTK_CONFIG_2_0=$gtk_config_exec_prefix/bin/gtk-config-2.0
fi fi
fi fi
if test x$gtk_config_prefix != x ; then if test x$gtk_config_prefix != x ; then
gtk_config_args="$gtk_config_args --prefix=$gtk_config_prefix" gtk_config_args="$gtk_config_args --prefix=$gtk_config_prefix"
if test x${GTK2_CONFIG+set} != xset ; then if test x${GTK_CONFIG_2_0+set} != xset ; then
GTK2_CONFIG=$gtk_config_prefix/bin/gtk2-config GTK_CONFIG_2_0=$gtk_config_prefix/bin/gtk-config-2.0
fi fi
fi fi
AC_PATH_PROG(GTK2_CONFIG, gtk2-config, no) AC_PATH_PROG(GTK_CONFIG_2_0, gtk-config-2.0, no)
min_gtk_version=ifelse([$1], ,1.3.1,$1) min_gtk_version=ifelse([$1], ,1.3.1,$1)
AC_MSG_CHECKING(for GTK - version >= $min_gtk_version) AC_MSG_CHECKING(for GTK - version >= $min_gtk_version)
no_gtk="" no_gtk=""
if test "$GTK2_CONFIG" = "no" ; then if test "$GTK_CONFIG_2_0" = "no" ; then
no_gtk=yes no_gtk=yes
else else
GTK_CFLAGS=`$GTK2_CONFIG $gtk_config_args --cflags` GTK_CFLAGS=`$GTK_CONFIG_2_0 $gtk_config_args --cflags`
GTK_LIBS=`$GTK2_CONFIG $gtk_config_args --libs` GTK_LIBS=`$GTK_CONFIG_2_0 $gtk_config_args --libs`
gtk_config_major_version=`$GTK2_CONFIG $gtk_config_args --version | \ gtk_config_major_version=`$GTK_CONFIG_2_0 $gtk_config_args --version | \
sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'` sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
gtk_config_minor_version=`$GTK2_CONFIG $gtk_config_args --version | \ gtk_config_minor_version=`$GTK_CONFIG_2_0 $gtk_config_args --version | \
sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'` sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
gtk_config_micro_version=`$GTK2_CONFIG $gtk_config_args --version | \ gtk_config_micro_version=`$GTK_CONFIG_2_0 $gtk_config_args --version | \
sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'` sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
if test "x$enable_gtktest" = "xyes" ; then if test "x$enable_gtktest" = "xyes" ; then
ac_save_CFLAGS="$CFLAGS" ac_save_CFLAGS="$CFLAGS"
...@@ -59,7 +59,7 @@ AC_ARG_ENABLE(gtktest, [ --disable-gtktest Do not try to compile and run ...@@ -59,7 +59,7 @@ AC_ARG_ENABLE(gtktest, [ --disable-gtktest Do not try to compile and run
LIBS="$GTK_LIBS $LIBS" LIBS="$GTK_LIBS $LIBS"
dnl dnl
dnl Now check if the installed GTK is sufficiently new. (Also sanity dnl Now check if the installed GTK is sufficiently new. (Also sanity
dnl checks the results of gtk2-config to some extent dnl checks the results of gtk-config-2.0 to some extent
dnl dnl
rm -f conf.gtktest rm -f conf.gtktest
AC_TRY_RUN([ AC_TRY_RUN([
...@@ -86,16 +86,16 @@ main () ...@@ -86,16 +86,16 @@ main ()
(gtk_minor_version != $gtk_config_minor_version) || (gtk_minor_version != $gtk_config_minor_version) ||
(gtk_micro_version != $gtk_config_micro_version)) (gtk_micro_version != $gtk_config_micro_version))
{ {
printf("\n*** 'gtk2-config --version' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n", printf("\n*** 'gtk-config-2.0 --version' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n",
$gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version, $gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version,
gtk_major_version, gtk_minor_version, gtk_micro_version); gtk_major_version, gtk_minor_version, gtk_micro_version);
printf ("*** was found! If gtk2-config was correct, then it is best\n"); printf ("*** was found! If gtk-config-2.0 was correct, then it is best\n");
printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n"); printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n");
printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n"); printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n"); printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
printf("*** required on your system.\n"); printf("*** required on your system.\n");
printf("*** If gtk2-config was wrong, set the environment variable GTK2_CONFIG\n"); printf("*** If gtk-config-2.0 was wrong, set the environment variable GTK_CONFIG_2_0\n");
printf("*** to point to the correct copy of gtk2-config, and remove the file config.cache\n"); printf("*** to point to the correct copy of gtk-config-2.0, and remove the file config.cache\n");
printf("*** before re-running configure\n"); printf("*** before re-running configure\n");
} }
#if defined (GTK_MAJOR_VERSION) && defined (GTK_MINOR_VERSION) && defined (GTK_MICRO_VERSION) #if defined (GTK_MAJOR_VERSION) && defined (GTK_MINOR_VERSION) && defined (GTK_MICRO_VERSION)
...@@ -126,10 +126,10 @@ main () ...@@ -126,10 +126,10 @@ main ()
printf("*** GTK+ is always available from ftp://ftp.gtk.org.\n"); printf("*** GTK+ is always available from ftp://ftp.gtk.org.\n");
printf("***\n"); printf("***\n");
printf("*** If you have already installed a sufficiently new version, this error\n"); printf("*** If you have already installed a sufficiently new version, this error\n");
printf("*** probably means that the wrong copy of the gtk2-config shell script is\n"); printf("*** probably means that the wrong copy of the gtk-config-2.0 shell script is\n");
printf("*** being found. The easiest way to fix this is to remove the old version\n"); printf("*** being found. The easiest way to fix this is to remove the old version\n");
printf("*** of GTK+, but you can also set the GTK2_CONFIG environment to point to the\n"); printf("*** of GTK+, but you can also set the GTK_CONFIG_2_0 environment to point to the\n");
printf("*** correct copy of gtk2-config. (In this case, you will have to\n"); printf("*** correct copy of gtk-config-2.0. (In this case, you will have to\n");
printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n"); printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
printf("*** so that the correct libraries are found at run-time))\n"); printf("*** so that the correct libraries are found at run-time))\n");
} }
...@@ -146,11 +146,11 @@ main () ...@@ -146,11 +146,11 @@ main ()
ifelse([$2], , :, [$2]) ifelse([$2], , :, [$2])
else else
AC_MSG_RESULT(no) AC_MSG_RESULT(no)
if test "$GTK2_CONFIG" = "no" ; then if test "$GTK_CONFIG_2_0" = "no" ; then
echo "*** The gtk2-config script installed by GTK could not be found" echo "*** The gtk-config-2.0 script installed by GTK could not be found"
echo "*** If GTK was installed in PREFIX, make sure PREFIX/bin is in" echo "*** If GTK was installed in PREFIX, make sure PREFIX/bin is in"
echo "*** your path, or set the GTK2_CONFIG environment variable to the" echo "*** your path, or set the GTK_CONFIG_2_0 environment variable to the"
echo "*** full path to gtk2-config." echo "*** full path to gtk-config-2.0."
else else
if test -f conf.gtktest ; then if test -f conf.gtktest ; then
: :
...@@ -179,7 +179,7 @@ main () ...@@ -179,7 +179,7 @@ main ()
[ echo "*** The test program failed to compile or link. See the file config.log for the" [ echo "*** The test program failed to compile or link. See the file config.log for the"
echo "*** exact error that occured. This usually means GTK was incorrectly installed" echo "*** exact error that occured. This usually means GTK was incorrectly installed"
echo "*** or that you have moved GTK since it was installed. In the latter case, you" echo "*** or that you have moved GTK since it was installed. In the latter case, you"
echo "*** may want to edit the gtk2-config script: $GTK2_CONFIG" ]) echo "*** may want to edit the gtk-config-2.0 script: $GTK_CONFIG_2_0" ])
CFLAGS="$ac_save_CFLAGS" CFLAGS="$ac_save_CFLAGS"
LIBS="$ac_save_LIBS" LIBS="$ac_save_LIBS"
fi fi
......
...@@ -13,7 +13,7 @@ exec_prefix_set=no ...@@ -13,7 +13,7 @@ exec_prefix_set=no
usage() usage()
{ {
cat <<EOF cat <<EOF
Usage: gtk2-config [OPTIONS] [LIBRARIES] Usage: gtk-config-2.0 [OPTIONS] [LIBRARIES]
Options: Options:
[--prefix[=DIR]] [--prefix[=DIR]]
[--exec-prefix[=DIR]] [--exec-prefix[=DIR]]
...@@ -96,8 +96,8 @@ if test "$lib_gthread" = "yes"; then ...@@ -96,8 +96,8 @@ if test "$lib_gthread" = "yes"; then
fi fi
if test "$echo_cflags" = "yes"; then if test "$echo_cflags" = "yes"; then
includes=-I@includedir@/gtk2 includes=-I@includedir@/gtk-2.0
echo -I@libdir@/gtk2/include $includes $glib_cflags @PANGO_CFLAGS@ @more_cflags@ echo -I@libdir@/gtk-2.0/include $includes $glib_cflags @PANGO_CFLAGS@ @more_cflags@
fi fi
if test "$echo_libs" = "yes"; then if test "$echo_libs" = "yes"; then
......
# Configure paths for GTK+ # Configure paths for GTK+
# Owen Taylor 97-11-3 # Owen Taylor 97-11-3
dnl AM_PATH_GTK2([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND [, MODULES]]]]) dnl AM_PATH_GTK_2_0([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND [, MODULES]]]])
dnl Test for GTK, and define GTK_CFLAGS and GTK_LIBS dnl Test for GTK, and define GTK_CFLAGS and GTK_LIBS
dnl dnl
AC_DEFUN(AM_PATH_GTK2, AC_DEFUN(AM_PATH_GTK_2_0,
[dnl [dnl
dnl Get the cflags and libraries from the gtk2-config script dnl Get the cflags and libraries from the gtk-config-2.0 script
dnl dnl
AC_ARG_WITH(gtk-prefix,[ --with-gtk-prefix=PFX Prefix where GTK is installed (optional)], AC_ARG_WITH(gtk-prefix,[ --with-gtk-prefix=PFX Prefix where GTK is installed (optional)],
gtk_config_prefix="$withval", gtk_config_prefix="") gtk_config_prefix="$withval", gtk_config_prefix="")
...@@ -26,31 +26,31 @@ AC_ARG_ENABLE(gtktest, [ --disable-gtktest Do not try to compile and run ...@@ -26,31 +26,31 @@ AC_ARG_ENABLE(gtktest, [ --disable-gtktest Do not try to compile and run
if test x$gtk_config_exec_prefix != x ; then if test x$gtk_config_exec_prefix != x ; then
gtk_config_args="$gtk_config_args --exec-prefix=$gtk_config_exec_prefix" gtk_config_args="$gtk_config_args --exec-prefix=$gtk_config_exec_prefix"
if test x${GTK2_CONFIG+set} != xset ; then if test x${GTK_CONFIG_2_0+set} != xset ; then
GTK2_CONFIG=$gtk_config_exec_prefix/bin/gtk2-config GTK_CONFIG_2_0=$gtk_config_exec_prefix/bin/gtk-config-2.0
fi fi
fi fi
if test x$gtk_config_prefix != x ; then if test x$gtk_config_prefix != x ; then
gtk_config_args="$gtk_config_args --prefix=$gtk_config_prefix" gtk_config_args="$gtk_config_args --prefix=$gtk_config_prefix"
if test x${GTK2_CONFIG+set} != xset ; then if test x${GTK_CONFIG_2_0+set} != xset ; then
GTK2_CONFIG=$gtk_config_prefix/bin/gtk2-config GTK_CONFIG_2_0=$gtk_config_prefix/bin/gtk-config-2.0
fi fi
fi fi
AC_PATH_PROG(GTK2_CONFIG, gtk2-config, no) AC_PATH_PROG(GTK_CONFIG_2_0, gtk-config-2.0, no)
min_gtk_version=ifelse([$1], ,1.3.1,$1) min_gtk_version=ifelse([$1], ,1.3.1,$1)
AC_MSG_CHECKING(for GTK - version >= $min_gtk_version) AC_MSG_CHECKING(for GTK - version >= $min_gtk_version)
no_gtk="" no_gtk=""
if test "$GTK2_CONFIG" = "no" ; then if test "$GTK_CONFIG_2_0" = "no" ; then
no_gtk=yes no_gtk=yes
else else
GTK_CFLAGS=`$GTK2_CONFIG $gtk_config_args --cflags` GTK_CFLAGS=`$GTK_CONFIG_2_0 $gtk_config_args --cflags`
GTK_LIBS=`$GTK2_CONFIG $gtk_config_args --libs` GTK_LIBS=`$GTK_CONFIG_2_0 $gtk_config_args --libs`
gtk_config_major_version=`$GTK2_CONFIG $gtk_config_args --version | \ gtk_config_major_version=`$GTK_CONFIG_2_0 $gtk_config_args --version | \
sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'` sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
gtk_config_minor_version=`$GTK2_CONFIG $gtk_config_args --version | \ gtk_config_minor_version=`$GTK_CONFIG_2_0 $gtk_config_args --version | \
sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'` sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
gtk_config_micro_version=`$GTK2_CONFIG $gtk_config_args --version | \ gtk_config_micro_version=`$GTK_CONFIG_2_0 $gtk_config_args --version | \
sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'` sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
if test "x$enable_gtktest" = "xyes" ; then if test "x$enable_gtktest" = "xyes" ; then
ac_save_CFLAGS="$CFLAGS" ac_save_CFLAGS="$CFLAGS"
...@@ -59,7 +59,7 @@ AC_ARG_ENABLE(gtktest, [ --disable-gtktest Do not try to compile and run ...@@ -59,7 +59,7 @@ AC_ARG_ENABLE(gtktest, [ --disable-gtktest Do not try to compile and run
LIBS="$GTK_LIBS $LIBS" LIBS="$GTK_LIBS $LIBS"
dnl dnl
dnl Now check if the installed GTK is sufficiently new. (Also sanity dnl Now check if the installed GTK is sufficiently new. (Also sanity
dnl checks the results of gtk2-config to some extent dnl checks the results of gtk-config-2.0 to some extent
dnl dnl
rm -f conf.gtktest rm -f conf.gtktest
AC_TRY_RUN([ AC_TRY_RUN([
...@@ -86,16 +86,16 @@ main () ...@@ -86,16 +86,16 @@ main ()
(gtk_minor_version != $gtk_config_minor_version) || (gtk_minor_version != $gtk_config_minor_version) ||
(gtk_micro_version != $gtk_config_micro_version)) (gtk_micro_version != $gtk_config_micro_version))
{ {
printf("\n*** 'gtk2-config --version' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n", printf("\n*** 'gtk-config-2.0 --version' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n",
$gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version, $gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version,
gtk_major_version, gtk_minor_version, gtk_micro_version); gtk_major_version, gtk_minor_version, gtk_micro_version);
printf ("*** was found! If gtk2-config was correct, then it is best\n"); printf ("*** was found! If gtk-config-2.0 was correct, then it is best\n");
printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n"); printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n");
printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n"); printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n"); printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
printf("*** required on your system.\n"); printf("*** required on your system.\n");
printf("*** If gtk2-config was wrong, set the environment variable GTK2_CONFIG\n"); printf("*** If gtk-config-2.0 was wrong, set the environment variable GTK_CONFIG_2_0\n");
printf("*** to point to the correct copy of gtk2-config, and remove the file config.cache\n"); printf("*** to point to the correct copy of gtk-config-2.0, and remove the file config.cache\n");
printf("*** before re-running configure\n"); printf("*** before re-running configure\n");
} }
#if defined (GTK_MAJOR_VERSION) && defined (GTK_MINOR_VERSION) && defined (GTK_MICRO_VERSION) #if defined (GTK_MAJOR_VERSION) && defined (GTK_MINOR_VERSION) && defined (GTK_MICRO_VERSION)
...@@ -126,10 +126,10 @@ main () ...@@ -126,10 +126,10 @@ main ()
printf("*** GTK+ is always available from ftp://ftp.gtk.org.\n"); printf("*** GTK+ is always available from ftp://ftp.gtk.org.\n");
printf("***\n"); printf("***\n");
printf("*** If you have already installed a sufficiently new version, this error\n"); printf("*** If you have already installed a sufficiently new version, this error\n");
printf("*** probably means that the wrong copy of the gtk2-config shell script is\n"); printf("*** probably means that the wrong copy of the gtk-config-2.0 shell script is\n");
printf("*** being found. The easiest way to fix this is to remove the old version\n"); printf("*** being found. The easiest way to fix this is to remove the old version\n");
printf("*** of GTK+, but you can also set the GTK2_CONFIG environment to point to the\n"); printf("*** of GTK+, but you can also set the GTK_CONFIG_2_0 environment to point to the\n");
printf("*** correct copy of gtk2-config. (In this case, you will have to\n"); printf("*** correct copy of gtk-config-2.0. (In this case, you will have to\n");
printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n"); printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
printf("*** so that the correct libraries are found at run-time))\n"); printf("*** so that the correct libraries are found at run-time))\n");
} }
...@@ -146,11 +146,11 @@ main () ...@@ -146,11 +146,11 @@ main ()
ifelse([$2], , :, [$2]) ifelse([$2], , :, [$2])
else else
AC_MSG_RESULT(no) AC_MSG_RESULT(no)
if test "$GTK2_CONFIG" = "no" ; then if test "$GTK_CONFIG_2_0" = "no" ; then
echo "*** The gtk2-config script installed by GTK could not be found" echo "*** The gtk-config-2.0 script installed by GTK could not be found"
echo "*** If GTK was installed in PREFIX, make sure PREFIX/bin is in" echo "*** If GTK was installed in PREFIX, make sure PREFIX/bin is in"
echo "*** your path, or set the GTK2_CONFIG environment variable to the" echo "*** your path, or set the GTK_CONFIG_2_0 environment variable to the"
echo "*** full path to gtk2-config." echo "*** full path to gtk-config-2.0."
else else
if test -f conf.gtktest ; then if test -f conf.gtktest ; then
: :
...@@ -179,7 +179,7 @@ main () ...@@ -179,7 +179,7 @@ main ()
[ echo "*** The test program failed to compile or link. See the file config.log for the" [ echo "*** The test program failed to compile or link. See the file config.log for the"
echo "*** exact error that occured. This usually means GTK was incorrectly installed" echo "*** exact error that occured. This usually means GTK was incorrectly installed"
echo "*** or that you have moved GTK since it was installed. In the latter case, you" echo "*** or that you have moved GTK since it was installed. In the latter case, you"
echo "*** may want to edit the gtk2-config script: $GTK2_CONFIG" ]) echo "*** may want to edit the gtk-config-2.0 script: $GTK_CONFIG_2_0" ])
CFLAGS="$ac_save_CFLAGS" CFLAGS="$ac_save_CFLAGS"
LIBS="$ac_save_LIBS" LIBS="$ac_save_LIBS"
fi fi
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment